*** Settings ***
Resource    ${CURDIR}/../resources/vismasign_api.robot

#Test Setup    Generate Authorization Header   ${CLIENT_ID_1}   ${SECRET_1}

*** Variables ***
${CLIENT_ID_1}   7fd070ea-f778-438d-9a40-2a12508dd983
# todo: encode secret keyword
${SECRET_1}   i2GZXWHynV24iUp/Y5nRpeAaWwSA+/WDTqZjT1RELuaYkspE0iXzPFaEy06NKuETrd8pHualJWp8IxYJpBzhrQ==
${INVITATION_UUID_1}   68f9d38a-ea3a-443b-8e91-ae13dfab3335

*** Test Cases ***
Test Get Invitation Status
    ${header}   Get Authorization Header  ${CLIENT_ID_1}   ${SECRET_1}
    Get Invitation Status  ${INVITATION_UUID_1}   ${header}
    Output  request
    Integer  response status   200

#   823fe06d-7165-4475-ad07-fd82129b2189: # Zend UI
#      client_id: '823fe06d-7165-4475-ad07-fd82129b2189'
#      client_secret: 'Yxxn2pylvU04Gpk223vD84BO2igkqYkK'
#      redirect_uri: 'http://vismasign.tunk.io/'
#      grant_types: 'client_credentials'
#      scope: 'admin_document_get_file'
#      user_id: ''

#${user}=    Set Variable    username
#${pass}=    Set Variable    the_password

# this kyword is in the Strings library
#${userpass}=    Convert To Bytes    ${user}:${pass}   # this is the combined string will be base64 encode
#${userpass}=    Evaluate    base64.b64encode($userpass)    base64

# add the new Authorization header
#Set To Dictionary    ${headers}    Authorization    Basic ${userpass}

# and send the request with the header in:
#POST     endpoint=/api/something   body=${payload}   headers=${header}

Test 64 endcode
    [Tags]  runme
    #${header}   Get Authorization Header  ${CLIENT_ID_1}   ${SECRET_1}
    #${response}   Get Invitation Status  ${INVITATION_UUID_1}   ${header}
    Log to console  Yxxn2pylvU04Gpk223vD84BO2igkqYkK
    ${userpass}=    Convert To Bytes    Yxxn2pylvU04Gpk223vD84BO2igkqYkK
    #with Evaluate we can call python directly:
    ${userpass}=    Evaluate    base64.b64encode($userpass)    base64
    Log to console  ${userpass}
    ${result}  Base64 Encode String   Yxxn2pylvU04Gpk223vD84BO2igkqYkK


